Yes, its compatible with latest WordPress, many popular plugins, all major browsers. It goes with all.